NppiHOGConfig Struct Reference
NPP Type Definitions and Constants

The NppiHOGConfig structure defines the configuration parameters for the HOG descriptor: More...

`#include <nppdefs.h>`

## Data Fields

int | cellSize
| square cell size (pixels). More...
int | histogramBlockSize
| square histogram block size (pixels). More...
int | nHistogramBins
| required number of histogram bins. More...
NppiSize | detectionWindowSize
| detection window size (pixels). More...

## Detailed Description

The NppiHOGConfig structure defines the configuration parameters for the HOG descriptor:

## Field Documentation

int NppiHOGConfig::cellSize

square cell size (pixels).

NppiSize NppiHOGConfig::detectionWindowSize

detection window size (pixels).

int NppiHOGConfig::histogramBlockSize

square histogram block size (pixels).

int NppiHOGConfig::nHistogramBins

required number of histogram bins.

The documentation for this struct was generated from the following file:

- C:/src/sw/gpgpu/NPP/npp/include/nppdefs.h

Copyright © 2009-2018 NVIDIA Corporation